diff -urN openwrt.orig/target/linux/ar71xx/base-files/lib/ar71xx.sh openwrt/target/linux/ar71xx/base-files/lib/ar71xx.sh
--- openwrt.orig/target/linux/ar71xx/base-files/lib/ar71xx.sh	2013-10-03 13:34:12.000000000 +0400
+++ openwrt/target/linux/ar71xx/base-files/lib/ar71xx.sh	2013-10-03 16:57:09.000000000 +0400
@@ -168,6 +168,12 @@
 	"431000"*)
 		model="TP-Link TL-WDR4310"
 		;;
+	"75000001")
+		model="TP-Link ARCHER C7"
+		;;
+	"75000002")
+		model="TP-Link TL-WDR7500"
+		;;
 	"453000"*)
 		model="MERCURY MW4530R"
 		;;
@@ -231,7 +237,7 @@
 	*AP83)
 		name="ap83"
 		;;
-	*"Archer C7")
+	*"Archer C7 / TL-WDR7500")
 		name="archer-c7"
 		;;
 	*"Atheros AP96")
diff -urN openwrt.orig/target/linux/ar71xx/files/arch/mips/ath79/mach-archer-c7.c openwrt/target/linux/ar71xx/files/arch/mips/ath79/mach-archer-c7.c
--- openwrt.orig/target/linux/ar71xx/files/arch/mips/ath79/mach-archer-c7.c	2013-10-03 13:34:12.000000000 +0400
+++ openwrt/target/linux/ar71xx/files/arch/mips/ath79/mach-archer-c7.c	2013-10-03 15:43:53.000000000 +0400
@@ -237,5 +237,5 @@
 	ath79_register_usb();
 }
 
-MIPS_MACHINE(ATH79_MACH_ARCHER_C7, "ARCHER-C7", "TP-LINK Archer C7",
+MIPS_MACHINE(ATH79_MACH_ARCHER_C7, "ARCHER-C7", "TP-LINK Archer C7 / TL-WDR7500",
 	     archer_c7_setup);
diff -urN openwrt.orig/target/linux/ar71xx/generic/profiles/tp-link.mk openwrt/target/linux/ar71xx/generic/profiles/tp-link.mk
--- openwrt.orig/target/linux/ar71xx/generic/profiles/tp-link.mk	2013-10-03 13:34:12.000000000 +0400
+++ openwrt/target/linux/ar71xx/generic/profiles/tp-link.mk	2013-10-03 15:43:18.000000000 +0400
@@ -6,12 +6,12 @@
 #
 
 define Profile/ARCHERC7
-	NAME:=TP-LINK Archer C7
+	NAME:=TP-LINK Archer C7 / TL-WDR7500
 	PACKAGES:=kmod-usb-core kmod-usb2 kmod-ledtrig-usbdev
 endef
 
 define Profile/ARCHERC7/Description
-	Package set optimized for the TP-LINK Archer C7.
+	Package set optimized for the TP-LINK Archer C7 / TL-WDR7500.
 endef
 $(eval $(call Profile,ARCHERC7))
 
diff -urN openwrt.orig/target/linux/ar71xx/image/Makefile openwrt/target/linux/ar71xx/image/Makefile
--- openwrt.orig/target/linux/ar71xx/image/Makefile	2013-10-03 13:34:12.000000000 +0400
+++ openwrt/target/linux/ar71xx/image/Makefile	2013-10-03 16:56:03.000000000 +0400
@@ -906,7 +906,7 @@
 $(eval $(call SingleProfile,TPLINK,64kraw,TLWR941NV4,tl-wr941nd-v4,TL-WR741ND,ttyS0,115200,0x09410004,1,4M))
 $(eval $(call SingleProfile,TPLINK,64kraw,TLWR1043,tl-wr1043nd-v1,TL-WR1043ND,ttyS0,115200,0x10430001,1,8M))
 
-$(eval $(call SingleProfile,TPLINK-LZMA,64kraw,ARCHERC7,archer-c7-v1,ARCHER-C7,ttyS0,115200,0x75000001,1,8Mlzma))
+$(eval $(call SingleProfile,TPLINK-LZMA,64kraw,ARCHERC7V1,archer-c7-v1,ARCHER-C7,ttyS0,115200,0x75000001,1,8Mlzma))
 $(eval $(call SingleProfile,TPLINK-LZMA,64kraw,TLMR10U,tl-mr10u-v1,TL-MR10U,ttyATH0,115200,0x00100101,1,4Mlzma))
 $(eval $(call SingleProfile,TPLINK-LZMA,64kraw,TLMR11UV1,tl-mr11u-v1,TL-MR11U,ttyATH0,115200,0x00110101,1,4Mlzma))
 $(eval $(call SingleProfile,TPLINK-LZMA,64kraw,TLMR11UV2,tl-mr11u-v2,TL-MR11U,ttyATH0,115200,0x00110102,1,4Mlzma))
@@ -930,6 +930,7 @@
 $(eval $(call SingleProfile,TPLINK-LZMA,64kraw,TLWDR3600V1,tl-wdr3600-v1,TL-WDR4300,ttyS0,115200,0x36000001,1,8Mlzma))
 $(eval $(call SingleProfile,TPLINK-LZMA,64kraw,TLWDR4300V1,tl-wdr4300-v1,TL-WDR4300,ttyS0,115200,0x43000001,1,8Mlzma))
 $(eval $(call SingleProfile,TPLINK-LZMA,64kraw,TLWDR4310V1,tl-wdr4310-v1,TL-WDR4300,ttyS0,115200,0x43100001,1,8Mlzma))
+$(eval $(call SingleProfile,TPLINK-LZMA,64kraw,TLWDR7500V2,tl-wdr7500-v2,ARCHER-C7,ttyS0,115200,0x75000002,1,8Mlzma))
 $(eval $(call SingleProfile,TPLINK-LZMA,64kraw,MW4530RV1,mw4530r-v1,TL-WDR4300,ttyS0,115200,0x45300001,1,8Mlzma))
 
 $(eval $(call SingleProfile,UAPPRO,64k,UAPPRO,ubnt-uap-pro,UAP-PRO,ttyS0,115200,BZ,BZ,ar934x))
@@ -968,6 +969,7 @@
 
 $(eval $(call MultiProfile,AP121,AP121_2M AP121_4M))
 $(eval $(call MultiProfile,AP136,AP136_010 AP136_020))
+$(eval $(call MultiProfile,ARCHERC7, ARCHERC7V1 TLWDR7500V2))
 $(eval $(call MultiProfile,EWDORIN, EWDORINAP EWDORINRT))
 $(eval $(call MultiProfile,OPENMESH,OM2P MR600))
 $(eval $(call MultiProfile,TEW652BRP,TEW652BRP_FW TEW652BRP_RECOVERY))
diff -urN openwrt.orig/target/linux/ar71xx/patches-3.10/610-MIPS-ath79-openwrt-machines.patch openwrt/target/linux/ar71xx/patches-3.10/610-MIPS-ath79-openwrt-machines.patch
--- openwrt.orig/target/linux/ar71xx/patches-3.10/610-MIPS-ath79-openwrt-machines.patch	2013-10-03 13:34:12.000000000 +0400
+++ openwrt/target/linux/ar71xx/patches-3.10/610-MIPS-ath79-openwrt-machines.patch	2013-10-03 15:39:11.000000000 +0400
@@ -629,7 +629,7 @@
 +	select ATH79_DEV_M25P80
 +
 +config ATH79_MACH_ARCHER_C7
-+	bool "TP-LINK Archer C7 board support"
++	bool "TP-LINK Archer C7 / TL-WDR7500 board support"
  	select SOC_QCA955X
 +	select ATH79_DEV_ETH
  	select ATH79_DEV_GPIO_BUTTONS
